HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTreasuryInboundTransfersIdFail

Contains the different functions to run the operation postTestHelpersTreasuryInboundTransfersIdFail

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTreasuryInboundTransfersIdFail.hs
valuepostTestHelpersTreasuryInboundTransfersIdFail
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTreasuryInboundTransfersIdFailRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTreasuryInboundTransfersIdFailResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/treasury/inbound_transfers/{id}/fail

<p>Transitions a test mode created InboundTransfer to the <code>failed</code> status. The InboundTransfer must already be in the <code>processing</code> state.</p>

Defines the object schema located at paths./v1/test_helpers/treasury/inbound_transfers/{id}/fail.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/test_helpers/treasury/inbound_transfers/{id}/fail.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.failure_details in the specification.

Details about a failed InboundTransfer.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/test_helpers/treasury/inbound_transfers/{id}/fail.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.failure_details.properties.code in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTreasuryInboundTransfersIdFail.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTreasuryInboundTransfersIdFailResponseError is used.

Instances2Eq, Show